<?php 

	//* 2003 - 2023 @ YalPublicidad - yPanel
	//* defino camino al sistema
	include_once( dirname(_DIR_PAQUETE) . '/.ypanel.php' );
	
	$panel		= ( isset( $_POST['panel'] ) ) ? $_POST['panel'] : 'none';
	$tabla		= ( isset( yPanel::paneles( $panel )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $panel )->tabla : 'nulo';
	
	
	function obtCadenaSlug($cadena){
		$cadena	= trim( strip_tags( $cadena ) );
		$cadena	= str_replace( ' ', '-', $cadena );
		$cadena	= preg_replace('([^A-Za-z0-9\-])', '', $cadena);
		return strtolower( $cadena );
	}
	
	// ** Ejecuto accion Guardar / Modificar
		if( $_POST['acc'] == 'g-acc' ){
			$post = ( $_POST['post'] > 0 ) ? $_POST['post'] : $post;
			
			// Quito espacios y - del slug
				$nombre		= ( isset( $_POST['nombre'] ) )	? utf8_decode( _mysql_real_escape_string( $_POST['nombre'] ) ) : '';
				$slug		= ( isset( $_POST['slug'] ) )	? obtCadenaSlug( $_POST['slug'] ) : '';
				$publicado	= ( isset( $_POST['publicado'] ) && $_POST['publicado'] == 1 ) ? 1 : 0;
				$seccionid	= ( isset( $_POST['seccion'] ) ) ? strip_tags($_POST['seccion']) : 0;
				$padre		= ( isset( $_POST['jerarquia'] ) ) ? strip_tags( $_POST['jerarquia'] ) : 0;
				
			if( $post > 0 ){
				if( _mysql_query( "UPDATE `" . $tabla . "` SET `nombre`='$nombre', `slug`='$slug', `publicado`='$publicado', `seccionid`='$seccionid', `padre`='$padre' WHERE id='$post'" ) or die( msg_error( _mysql_error(), NULL, 'alert-danger' ) ) ){
					echo msg_error( etiqueta( 'msj_guardar_ok', 'Se guardó correctamente.' ), 'fa-check-circle', 'alert-success' );
				}
			}else{
				if( _mysql_existe( $tabla, "slug", "slug='$slug'" ) ){
					echo msg_error( etiqueta( 'msj_reg_existe', 'El registro ya existe.' ), NULL, 'alert-warning' );	
				}else{
					if( _mysql_query("INSERT INTO `" . $tabla . "`(`nombre`, `slug`, `publicado`, `seccionid`, `padre`) VALUES ('$nombre', '$slug', '$publicado', '$seccionid', '$padre')") or die( msg_error( _mysql_error(), NULL, 'alert-danger' ) ) ){
						echo msg_error( etiqueta( 'msj_guardar_ok', 'Se guardó correctamente.' ), 'fa-check-circle', 'alert-success' );
					}
				}
			}
		}
		
	// ** Ejecuto accion Deshabilitar / Habilitar
	if( $_POST['acc'] == 'r-habilitar' ){
			echo _mysql_modificar_reg( $tabla, "id='{$_POST['post']}'", "publicado='{$_POST['h']}'" );
	}
	
	// ** Ejecuto accion eliminar
	if( $_POST['acc'] == 'r-eliminar' ){
		// ** Elimino de la base de datos
			echo _mysql_eliminar_reg( $tabla, $_POST['post'] );
	}			 
?>	